<template>
  <v-card class="elevation-12">
    <div class="d-flex flex-nowrap">
      <v-avatar class="ma-3" size="80" tile>
        <v-img :src="course.icon"></v-img>
      </v-avatar>
      <div class="flex-grow-1">
        <v-card-title class="text-subtitle-2 text-break">
          {{ course.name }}
        </v-card-title>
        <v-card-actions>
          <slot name="button">
            <v-btn
              block
              small
              color="primary"
              :to="{ name: 'Lessons', query: { courseId: course.id } }"
              >Перейти</v-btn
            >
          </slot>
        </v-card-actions>
      </div>
    </div>
  </v-card>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Course } from '@/domain/entity/course/Course';
import { Prop } from 'vue-property-decorator';

@Component({})
export default class CourseListItem extends Vue {
  @Prop({
    required: true,
    type: Object
  })
  private readonly course!: Course;
}
</script>

<style scoped></style>
